InAppBrowser
------------

Designed to work as a drop in class for iPhone and iPad applications, InAppBrowser allows you to create a seemless & clean  user experience by loading webpages in-app.

Features include:

1. Auto hiding URL bar that can be reached again via scroll.

2. Page loading progress indication (Semi faking this now see TODO issue #1).

3. Support for iPhone and iPad.

4. Forward and backward browser navigation.

5. Refresh and stop.

6. Supports screen rotation.

7. Currently localized in English and Japanese


![Screenshot](https://media.clubberia.com/png38k2012022821.png)

InAppBrowser has been tested in iOS 4+ and 5.0


Installation
------------
1. Copy the InAppBrowser folder located in the Classes folder to your application.

2. Add the QuartzCore.framework library to your application

3. Create an InAppBrowser

        InAppBrowser *browser = [InAppBrowser browserWithURLString:urlString];
        [self.navigationController pushViewController:browser animated:YES];

License
-------
Copyright 2011 [sbstrm] [sbstrm].
This library is distributed under the terms of the MIT/X11.

While not required, I greatly encourage and appreciate any improvements that you make
to this library be contributed back for the benefit of all who use it.


Credits
-------
This code borrows some of it's original structure from [nbuggia's browser] [nbuggia-browser] 

Language manager taken from [ShareKit] [ShareKit]

[sbstrm]: http://sbstrm.co.jp
[nbuggia-browser]: https://github.com/nbuggia/Browser-View-Controller--iPhone-
[ShareKit]: https://github.com/drewjw81/ShareKit
